View Issue Details

IDProjectCategoryView StatusLast Update
0002696OpenFOAMFeaturepublic2018-09-24 10:50
ReporterdfhAssigned Toadministrator 
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionsuspended 
Product Version 
Fixed in Version 
Summary0002696: Interpolate values with sphereToCell on orthogonal Mesh
Descriptionhello,
I have a feature request regarding the sphereToCell-source in setFields.

I think it would improve the code/results if it would be possible to set the fields (e.g. alpha) on the edge of the sphere to a value, depending on the partial of the cell of its location inside/outside of the sphere.

If not, using the sphereToCell+setFields in setting alpha in an interFoam-Case will always loose some % of the mass (depending on the mesh resolution)
TagsNo tags attached.

Activities

will

2017-09-11 17:51

manager   ~0008751

How does one calculate what proportion of a cell lies within a sphere?

dfh

2017-09-12 07:25

reporter   ~0008753

I attached a paper I found regarding this issue. But it's beyond my capabilities in programming...

Strobl_etal_overlap_calculation.pdf (1,615,072 bytes)

will

2017-09-12 10:55

manager   ~0008757

Are you able to fund someone else to implement it?

In order to have a complete feature set we would also need the equivalent functionality for cylinders. That's probably the extent of the complexity, though. All the other currently available shapes are bounded by flat planes, for which cell-intersections are relatively simple to calculate.

dfh

2017-09-12 14:33

reporter   ~0008762

No sorry. But you're right, the paper is just a solution for one specific case.

administrator

2018-09-24 10:50

administrator   ~0010068

Pending funding or contribution.

Issue History

Date Modified Username Field Change
2017-09-11 14:42 dfh New Issue
2017-09-11 17:51 will Note Added: 0008751
2017-09-12 07:25 dfh File Added: Strobl_etal_overlap_calculation.pdf
2017-09-12 07:25 dfh Note Added: 0008753
2017-09-12 10:55 will Note Added: 0008757
2017-09-12 14:33 dfh Note Added: 0008762
2018-09-24 10:50 administrator Assigned To => administrator
2018-09-24 10:50 administrator Status new => closed
2018-09-24 10:50 administrator Resolution open => suspended
2018-09-24 10:50 administrator Note Added: 0010068